Subject: Re: bash reverts to NT-style PATH in subshells.
From: [email-masked] (Ernie Rael)

2 Jan 1997 20:43:25 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
X-Mailer: Forte Agent .99g/32.339
Original-Sender: [email-masked]

On Thu, 2 Jan 1997 14:25:52 -0500, you wrote:

>Using the 17.1 release, create this shell script (called showpath):
>
>    #!/bin/sh
>    echo $PATH
>    ls
>
>and you'll see this problem:
>
>    bash$ echo $PATH
>    /franl/bin:/bin:/WINNT/system32:/WINNT:/dos
>    bash$ ./showpath
>    =
c:\franl\bin;c:c:\apps\cygwin32\H-i386-cygwin32\bin;C:\WINNT\system32;C:\=
WINNT;c:\dos
>    ./showpath: ls: command not found
>
>(Note: I have c:/apps/cygwin32/H-i386-cygwin32/bin mounted on /bin.)
>Notice how bash's UNIXification of the PATH has been lost, and along
>with it we lose the ability to use commands like ls from within the
>script.

Thank you, you've helped me solve a mystery. I reported previously that
i was getting errors from sed in configure scripts. I have lots of unix
commands from here and there on my system and i was getting the wrong
version of sed due to the problem that you describe. I was starting bash
from a shortcut and doing some path
initialization in my .bash_profile. My shortcut now starts a file,
bashit.bat, that looks something like
	set PATH=3D%cygbin%;%PATH%
	bash -login
I've got cygbin already in the environment. The problem you report
is still a problem, but at least this bashit.bat workaround has
got me back online.
-ernie

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".